> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update application

> Update properties or settings of an existing application.



## OpenAPI

````yaml https://api.sevalla.com/v2/openapi.json put /applications/{id}
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v2
security:
  - bearerAuth: []
paths:
  /applications/{id}:
    put:
      tags:
        - Applications
      summary: Update application
      description: Update properties or settings of an existing application.
      operationId: updateApplicationV2
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                display_name:
                  description: Display name of the application
                  example: My Application
                  type: string
                  minLength: 1
                  maxLength: 64
                auto_deploy:
                  description: Whether auto deploy is enabled
                  example: true
                  type: boolean
                default_branch:
                  description: Default git branch
                  example: main
                  type: string
                  minLength: 1
                hibernation_enabled:
                  type: boolean
                  description: Whether hibernation is enabled
                  example: false
                hibernate_after_seconds:
                  description: Seconds before hibernation
                  example: 3600
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                build_path:
                  description: Build path
                  example: .
                  type: string
                build_type:
                  description: Build type
                  example: nixpacks
                  type: string
                  enum:
                    - dockerfile
                    - pack
                    - nixpacks
                docker_file_path:
                  description: Dockerfile path
                  example: Dockerfile
                  type: string
                docker_context:
                  description: Docker context path
                  example: .
                  type: string
              additionalProperties: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  app:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Unique identifier for the application
                        example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                      name:
                        type: string
                        minLength: 1
                        maxLength: 64
                        description: Unique name of the application
                        example: my-app
                      status:
                        anyOf:
                          - type: string
                            enum:
                              - deploymentInProgress
                              - deploymentFailed
                              - deploymentSuccess
                              - deleting
                              - appDeletionFailed
                              - deploymentCancelled
                          - type: 'null'
                        example: deploymentSuccess
                      updated_at:
                        type: number
                        description: Last updated timestamp in milliseconds
                        example: 1738195200000
                      build_path:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Build path
                        example: .
                      build_type:
                        type: string
                        enum:
                          - dockerfile
                          - pack
                          - nixpacks
                        description: Build type (dockerfile, pack, nixpacks)
                        example: nixpacks
                      docker_file_path:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Dockerfile path
                        example: Dockerfile
                      docker_context:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Docker context path
                        example: .
                      display_name:
                        type: string
                        minLength: 1
                        maxLength: 255
                        description: Display name of the application
                        example: My Application
                      auto_deploy:
                        description: Whether auto deploy is enabled
                        example: true
                        type: boolean
                      default_branch:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Default git branch
                        example: main
                      hibernation_enabled:
                        type: boolean
                        description: Whether hibernation is enabled
                        example: false
                      hibernate_after_seconds:
                        anyOf:
                          - type: integer
                            exclusiveMinimum: 0
                            maximum: 9007199254740991
                          - type: 'null'
                        description: Seconds before hibernation
                        example: 3600
                    required:
                      - id
                      - name
                      - status
                      - updated_at
                      - build_path
                      - build_type
                      - docker_file_path
                      - docker_context
                      - display_name
                      - auto_deploy
                      - default_branch
                      - hibernation_enabled
                      - hibernate_after_seconds
                    additionalProperties: false
                required:
                  - app
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````